## Thruk-3.06.zip

=== t/scenarios/_common/Makefile ===

build:
	docker-compose build

prepare: build
	docker-compose up --remove-orphans -d
	docker ps

update:
	docker-compose pull
	for IMG in $$(grep FROM */*/Dockerfile | awk '{ print $$2 }' | sort -u); do docker pull $$IMG; done

clean:
	docker-compose down -v --rmi all
	docker-compose kill -s INT
	docker-compose kill
	docker-compose rm -f

=== t/scenarios/auth/Makefile ===
include ../_common/Makefile.common

export PLACK_TEST_EXTERNALSERVER_URI = http://127.0.0.3:60080/demo/

wait_start:
	for x in $$(seq $(STARTUPWAIT)); do \
	   if [ $$(docker-compose logs | grep "failed=" | grep -v "failed=0" | wc -l) -gt 0 ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	   if [ $$(curl -s http://127.0.0.3:60080/demo/thruk/cgi-bin/login.cgi | grep -c loginuser) -gt 0 ]; then break; else sleep 1; fi; \
	   if [ $$x -eq $(STARTUPWAIT) ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	done

wait_start_failed_extra:
	-curl -kv http://127.0.0.3:60080/demo/thruk/cgi-bin/login.cgi

server:
	@echo -e "\n\n*** no server implemented, access via https://$(shell hostname):60443/demo/\n"

extra_test:
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root site sudo -iu demo /test/t/local_test.sh 0

extra_test_verbose:
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root site sudo -iu demo /test/t/local_test.sh 1

=== t/scenarios/auth_krb5/Makefile ===
include ../_common/Makefile.common

export PLACK_TEST_EXTERNALSERVER_URI = http://127.0.0.3:60080/demo/
export THRUK_TEST_AUTH_KEY           = ff8cde7bc92c261a260a180ef4d35c456853b70d955c3eb1c41098d0d561268b_1

wait_start:
	for x in $$(seq $(STARTUPWAIT)); do \
	   if [ $$(docker-compose logs | grep "failed=" | grep -v "failed=0" | wc -l) -gt 0 ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	   if [ $$(curl -ks http://127.0.0.3:60080/demo/thruk/cgi-bin/remote.cgi | grep -c OK) -gt 0 ]; then break; else sleep 1; fi; \
	   if [ $$x -eq $(STARTUPWAIT) ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	done

wait_start_failed_extra:
	-curl -kv http://127.0.0.3:60080/demo/thruk/cgi-bin/remote.cgi

extra_test:
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root omd sudo -iu demo /test/t/local_test.sh 0

extra_test_verbose:
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root omd sudo -iu demo /test/t/local_test.sh 1

webvnc:
	@python3 -m webbrowser http://127.0.0.3:6901/?password=vncpassword

=== t/scenarios/auth_oauth/Makefile ===
include ../_common/Makefile.common

wait_start:
	for x in $$(seq $(STARTUPWAIT)); do \
	   if [ $$(docker-compose logs | grep "failed=" | grep -v "failed=0" | wc -l) -gt 0 ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	   if [ $$(curl -ks http://127.0.0.3:60080/demo/thruk/cgi-bin/remote.cgi | grep -c OK) -gt 0 ]; then break; else sleep 1; fi; \
	   if [ $$x -eq $(STARTUPWAIT) ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	done

=== t/scenarios/auth_ssl_client_cert/Makefile ===
include ../_common/Makefile.common

export PLACK_TEST_EXTERNALSERVER_URI = https://127.0.0.3:60443/demo/

wait_start:
	for x in $$(seq $(STARTUPWAIT)); do \
	   if [ $$(docker-compose logs | grep "failed=" | grep -v "failed=0" | wc -l) -gt 0 ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	   if [ $$(curl -ks $(PLACK_TEST_EXTERNALSERVER_URI)thruk/cgi-bin/login.cgi | grep -c loginuser) -gt 0 ]; then break; else sleep 1; fi; \
	   if [ $$x -eq $(STARTUPWAIT) ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	done

wait_start_failed_extra:
	-curl -kv $(PLACK_TEST_EXTERNALSERVER_URI)thruk/cgi-bin/login.cgi

server:
	@echo -e "\n\n*** no server implemented, access via https://$(shell hostname):60443/demo/\n"

extra_test:
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root site sudo -iu demo /test/t/local_test.sh 0

extra_test_verbose:
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root site sudo -iu demo /test/t/local_test.sh 1

=== t/scenarios/backend_http_readonly/Makefile ===
include ../_common/Makefile.common

export THRUK_TEST_AUTH               = omdadmin:omd
export PLACK_TEST_EXTERNALSERVER_URI = http://127.0.0.3:60080/demo/

wait_start:
	for x in $$(seq $(STARTUPWAIT)); do \
	   if [ $$(docker-compose logs | grep "failed=" | grep -v "failed=0" | wc -l) -gt 0 ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	   if [ $$(curl -s http://127.0.0.3:60080/demo/thruk/cgi-bin/login.cgi | grep -c loginuser) -gt 0 ]; then break; else sleep 1; fi; \
	   if [ $$x -eq $(STARTUPWAIT) ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	done

wait_start_failed_extra:
	-curl -kv http://127.0.0.3:60080/demo/thruk/cgi-bin/login.cgi

extra_test:
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root omd sudo -iu demo /test/t/local_test.sh 0

extra_test_verbose:
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root omd sudo -iu demo /test/t/local_test.sh 1

=== t/scenarios/bp_sync_e2e/Makefile ===
include ../_common/Makefile.common

export PLACK_TEST_EXTERNALSERVER_URI = http://127.0.0.3:60080/demo/

wait_start:
	for x in $$(seq $(STARTUPWAIT)); do \
	   if [ $$(docker-compose logs | grep "failed=" | grep -v "failed=0" | wc -l) -gt 0 ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	   if [ $$(curl -s http://127.0.0.3:60080/demo/thruk/cgi-bin/login.cgi | grep -c loginuser) -gt 0 ]; then break; else sleep 1; fi; \
	   if [ $$x -eq $(STARTUPWAIT) ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	done

wait_start_failed_extra:
	-curl -kv http://127.0.0.3:60080/demo/thruk/cgi-bin/login.cgi

server:
	@echo -e "\n\n*** no server implemented, access via http://$(shell hostname):60080/demo/\n"

=== t/scenarios/citest/Makefile ===
include ../_common/Makefile.common

preprepare:
	cp -p ../../../.ci/prepare_machine.sh citest/
	wget https://raw.githubusercontent.com/abbbi/github-actions-tune/master/speedup.sh -O citest/speedup.sh
	chmod 755 citest/speedup.sh

extra_prepare:
	rm -rf citest/prepare_machine.sh
	rm  -f citest/speedup.sh
	docker exec citest_site_1 /thruk/t/scenarios/citest/extra_prepare.sh

wait_start:
	for x in $$(seq $(STARTUPWAIT)); do \
	   if [ $$(docker-compose logs | grep "failed=" | grep -v "failed=0" | wc -l) -gt 0 ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	   if [ $$(docker-compose logs | grep "| ERROR" | wc -l) -gt 0 ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	   if [ $$(docker-compose logs | grep "ci container ready" | wc -l) -eq 1 ]; then break; else sleep 1; fi; \
	   if [ $$x -eq $(STARTUPWAIT) ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	done
	docker ps

test: test_prepare wait_start
	docker exec citest_site_1 /thruk/t/scenarios/citest/test.sh $(filter-out $@,$(MAKECMDGOALS))

test_verbose: test_prepare wait_start
	docker exec citest_site_1 /thruk/t/scenarios/citest/test.sh 1 $(filter-out $@,$(MAKECMDGOALS))

test_prepare:
	docker exec citest_site_1 rsync -a --delete --exclude=Makefile --exclude=thruk_local.conf --exclude=thruk_local.d --exclude=tmp/ --exclude=var/ --chown=naemon:naemon /thruk/. /var/lib/naemon/thruk/.

=== t/scenarios/cli_api/Makefile ===
include ../_common/Makefile.common

test:
	@echo "### $@: $$(date "+%FT%T.%N")"
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root omd sudo -iu demo /test/t/test.sh 0 \
		|| ( cd $(shell pwd) && $(MAKE) failed_test )
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root omd /test/t/test_root.sh 0 \
		|| ( cd $(shell pwd) && $(MAKE) failed_test )
	cd ../../.. && PERL_DL_NONLAZY=1 /usr/bin/env perl "-MExtUtils::Command::MM" "-e" "test_harness(0)" $(shell pwd)/../_common/t/999*.t

test_verbose:
	@echo "### $@: $$(date "+%FT%T.%N")"
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root omd sudo -iu demo /test/t/test.sh 1 \
		|| ( cd $(shell pwd) && $(MAKE) failed_test )
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root omd /test/t/test_root.sh 1 \
		|| ( cd $(shell pwd) && $(MAKE) failed_test )
	cd ../../.. && PERL_DL_NONLAZY=1 /usr/bin/env perl "-MExtUtils::Command::MM" "-e" "test_harness(1)" $(shell pwd)/../_common/t/999*.t

=== t/scenarios/cluster_e2e/Makefile ===
include ../_common/Makefile.common

export THRUK_TEST_AUTH               = omdadmin:omd
export PLACK_TEST_EXTERNALSERVER_URI = http://127.0.0.3:60080/demo/

wait_start:
	for x in $$(seq $(STARTUPWAIT)); do \
	   if [ $$(docker-compose logs | grep "failed=" | grep -v "failed=0" | wc -l) -gt 0 ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	   docker-compose exec $(DOCKER_COMPOSE_TTY) --user root thruk sudo -iu demo thruk cluster ping >/dev/null 2>&1; \
	   if [ $$(docker-compose exec $(DOCKER_COMPOSE_TTY) --user root thruk sudo -iu demo thruk cluster status | grep -c OK) -eq 3 ]; then break; else sleep 1; fi; \
	   if [ $$x -eq $(STARTUPWAIT) ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	done
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root thruk sudo -iu demo thruk cluster ping
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root thruk sudo -iu demo thruk cluster status
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root thruk sudo -iu demo thruk r -m POST /thruk/cluster/heartbeat

wait_start_failed_extra:
	-curl -kv http://127.0.0.3:60080/demo/thruk/cgi-bin/login.cgi

extra_clean:
	-docker volume rm clustere2e_shared_etc
	-docker volume rm clustere2e_shared_var
	-docker volume rm cluster_e2e_shared_etc
	-docker volume rm cluster_e2e_shared_var

extra_test:
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root thruk sudo -iu demo /test/t/local_test.sh 0

extra_test_verbose:
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root thruk sudo -iu demo /test/t/local_test.sh 1

=== t/scenarios/cluster_fixed_e2e/Makefile ===
include ../_common/Makefile.common

export THRUK_TEST_AUTH               = omdadmin:omd
export PLACK_TEST_EXTERNALSERVER_URI = http://127.0.0.3:60080/demo/

wait_start:
	for x in $$(seq $(STARTUPWAIT)); do \
	   if [ $$(docker-compose logs | grep "failed=" | grep -v "failed=0" | wc -l) -gt 0 ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	   docker-compose exec $(DOCKER_COMPOSE_TTY) --user root thruk1 sudo -iu demo thruk cluster ping >/dev/null 2>&1; \
	   if [ $$(docker-compose exec $(DOCKER_COMPOSE_TTY) --user root thruk1 sudo -iu demo thruk cluster status | grep -c OK) -eq 3 ]; then break; else sleep 1; fi; \
	   if [ $$x -eq $(STARTUPWAIT) ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	done
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root thruk1 sudo -iu demo thruk cluster ping
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root thruk1 sudo -iu demo thruk cluster status
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root thruk1 sudo -iu demo thruk r -m POST /thruk/cluster/heartbeat
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root thruk2 sudo -iu demo thruk r -m POST /thruk/cluster/heartbeat
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root thruk3 sudo -iu demo thruk r -m POST /thruk/cluster/heartbeat

wait_start_failed_extra:
	-curl -kv http://127.0.0.3:60080/demo/thruk/cgi-bin/login.cgi

extra_clean:
	-docker volume rm clusterfixede2e_shared_etc
	-docker volume rm clusterfixede2e_shared_var
	-docker volume rm cluster_fixed_e2e_shared_etc
	-docker volume rm cluster_fixed_e2e_shared_var

extra_test:
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root thruk1 sudo -iu demo /test/t/local_test.sh 0

extra_test_verbose:
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root thruk1 sudo -iu demo /test/t/local_test.sh 1

=== t/scenarios/config_tool/Makefile ===
include ../_common/Makefile.common

export THRUK_TEST_AUTH               = omdadmin:omd
export PLACK_TEST_EXTERNALSERVER_URI = http://127.0.0.3:60080/demo/

wait_start:
	for x in $$(seq $(STARTUPWAIT)); do \
	   if [ $$(docker-compose logs | grep "failed=" | grep -v "failed=0" | wc -l) -gt 0 ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	   if [ $$(curl -s http://127.0.0.3:60080/demo/thruk/cgi-bin/login.cgi | grep -c loginuser) -gt 0 ]; then break; else sleep 1; fi; \
	   if [ $$x -eq $(STARTUPWAIT) ]; then $(MAKE) wait_start_failed; exit 1; fi; \
	done

wait_start_failed_extra:
	-curl -kv http://127.0.0.3:60080/demo/thruk/cgi-bin/login.cgi

extra_clean:
	rm -f ../../../var/obj_retention.test.*

extra_test:
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root site sudo -iu demo /test/t/local_test.sh 0

extra_test_verbose:
	docker-compose exec $(DOCKER_COMPOSE_TTY) --user root site sudo -iu demo /test/t/local_test.sh 1

=== debian/changelog ===
thruk (3.06+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Wed, 24 May 2023 14:12:28 +0200

thruk (3.04+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Mon, 20 Feb 2023 09:28:22 +0100

thruk (3.02+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Thu, 15 Dec 2022 20:56:40 +0100

thruk (3.00+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Mon, 14 Nov 2022 14:50:18 +0100

thruk (2.48.2+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 01 Jul 2022 14:36:35 +0200

thruk (2.48+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Sat, 02 Apr 2022 17:04:55 +0200

thruk (2.46.3+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 25 Jan 2022 15:05:02 +0100

thruk (2.46.2+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 14 Dec 2021 14:01:33 +0100

thruk (2.46+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Wed, 03 Nov 2021 21:47:05 +0100

thruk (2.44.3+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Thu, 10 Jun 2021 19:22:59 +0200

thruk (2.44.2+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 04 Jun 2021 18:08:02 +0200

thruk (2.44.1+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 28 May 2021 17:55:35 +0200

thruk (2.42.2+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Mon, 26 Apr 2021 10:02:56 +0200

thruk (2.42.1+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 16 Apr 2021 21:33:25 +0200

thruk (2.40+2) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Mon, 14 Dec 2020 11:10:42 +0100

thruk (2.40+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 08 Dec 2020 14:55:48 +0100

thruk (2.38+2) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 27 Oct 2020 11:42:39 +0100

thruk (2.38+1) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 06 Oct 2020 09:53:31 +0200

thruk (2.36) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Thu, 09 Jul 2020 18:07:34 +0200

thruk (2.34-3) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 12 Jun 2020 18:44:27 +0200

thruk (2.34-2) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Wed, 20 May 2020 17:01:57 +0200

thruk (2.34) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Sat, 28 Mar 2020 09:52:41 +0100

thruk (2.32-2) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 25 Oct 2019 17:05:54 +0200

thruk (2.32) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Thu, 17 Oct 2019 11:27:22 +0200

thruk (2.30-3) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 11 Jun 2019 15:52:49 +0200

thruk (2.30-2) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 14 May 2019 11:55:56 +0200

thruk (2.30) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Thu, 09 May 2019 11:51:29 +0200

thruk (2.28) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 29 Mar 2019 17:27:49 +0100

thruk (2.26-2) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 18 Dec 2018 17:33:09 +0100

thruk (2.26) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 07 Dec 2018 21:34:30 +0100

thruk (2.24-2) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 06 Nov 2018 16:18:50 +0100

thruk (2.24) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 26 Oct 2018 18:40:38 +0200

thruk (2.22) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 29 Jun 2018 13:52:11 +0200

thruk (2.20-2) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Wed, 14 Mar 2018 00:12:25 +0100

thruk (2.20) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Wed, 07 Mar 2018 10:59:57 +0100

thruk (2.18) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Mon, 25 Dec 2017 15:27:07 +0100

thruk (2.16-2) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Sun, 20 Aug 2017 13:47:32 +0200

thruk (2.16) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Tue, 08 Aug 2017 21:18:41 +0200

thruk (2.14-2) UNRELEASED; urgency=low

  * new upstream release

 -- Thruk Development Team <devel@thruk.org>  Fri, 05 May 2017 12:31:42 +0200

thruk (2.14) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven.nierlein@consol.de>  Tue, 28 Mar 2017 10:09:26 +0200

thruk (2.12-3) UNRELEASED; urgency=low

  [ Thruk Development Team ]
  * new upstream release

 -- Sven Nierlein <sven.nierlein@consol.de>  Tue, 20 Dec 2016 20:43:55 +0100



=== debian/control ===
Source: thruk
Section: net
Priority: optional
Maintainer: Sven Nierlein <sven.nierlein@consol.de>
Build-Depends: debhelper (>= 7), libthruk (>=2.44.2), lsb-release, apache2, perl, libmodule-install-perl, npm
Standards-Version: 3.7.3
Homepage: http://www.thruk.org
Bugs: https://github.com/sni/Thruk/issues
Vcs-Git: git://github.com/sni/Thruk.git

Package: thruk
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${extra:Depends}, thruk-base (= ${source:Version})
Recommends: thruk-plugin-reporting (= ${source:Version})
Description: Monitoring Webinterface for Nagios/Naemon/Icinga and Shinken
 Thruk is a multibackend monitoring webinterface which currently
 supports Nagios, Naemon, Icinga and Shinken as backend using the Livestatus
 API. It is designed to be a 'dropin' replacement and covers almost
 all of the original features plus adds additional enhancements for
 large installations. This is the metapackage for complete Thruk setup.

Package: thruk-base
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${extra:Depends},
         libthruk (>=2.44.2),
         apache2 | nginx-light | nginx-full | nginx-extras | nginx-core,
         libapache2-mod-fcgid | nginx-light | nginx-full | nginx-extras | nginx-core,
         cron-daemon, logrotate, liblwp-protocol-https-perl
Provides: thruk
Replaces: thruk (<< 2.00)
Breaks: thruk (<< 2.00)
Description: Monitoring Webinterface for Nagios/Icinga and Shinken
 Thruk is a multibackend monitoring webinterface which currently
 supports Nagios, Icinga and Shinken as backend using the Livestatus
 API. It is designed to be a 'dropin' replacement and covers almost
 all of the original features plus adds additional enhancements for
 large installations. This package contains the Thruk gui base files.



Package: thruk-plugin-reporting
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}, phantomjs,
         thruk-base (= ${source:Version}), fonts-liberation
Description: This package contains the reporting addon for thruk useful for sla
 and event reporting.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
DESTDIR=$(CURDIR)/debian/tmp/
PERLVER=$(shell perl -e 'use Config; print $$Config{version}')
HTTPDCONF=$(shell if [ -d "/etc/apache2/conf-available" ]; then echo "/etc/apache2/conf-available"; else echo "/etc/apache2/conf.d"; fi )
SHELL=bash
export PERL5LIB=/usr/lib/thruk/perl5:/usr/lib64/thruk/perl5
FIXPHANTOMJS=$(shell if [ -f script/phantomjs ]; then echo "fix_phantomjs_location"; else echo ""; fi )

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr \
		--bindir="/usr/bin" \
		--datadir="/usr/share/thruk" \
		--libdir="/usr/lib/thruk" \
		--localstatedir="/var/lib/thruk" \
		--with-tempdir="/var/cache/thruk" \
		--sysconfdir="/etc/thruk" \
		--mandir="/usr/share/man" \
		--with-initdir="/etc/init.d" \
		--with-logdir="/var/log/thruk" \
		--with-logrotatedir="/etc/logrotate.d" \
		--with-bashcompletedir="/etc/bash_completion.d" \
		--with-thruk-user="www-data" \
		--with-thruk-group="www-data" \
		--with-thruk-libs="/usr/lib/thruk/perl5" \
		--with-httpd-conf="$(HTTPDCONF)" \
		--with-htmlurl="/thruk"
	echo $(HTTPDCONF)/thruk.conf                   >> debian/thruk-base.install
	echo $(HTTPDCONF)/thruk_cookie_auth_vhost.conf >> debian/thruk-base.install
	# make sure themes are built as this point
	test -f themes/themes-available/Light/stylesheets/Light.css || make themes
	test -f themes/themes-available/Light/stylesheets/Light.css || exit 1

override_dh_auto_install: local_auto_install $(FIXPHANTOMJS)

local_auto_install:
	dh_auto_install
	# enable su logrotate, available since ubuntu 13.04 and debian 6
	sed -i -e 's/^.*#su/    su/' debian/tmp/etc/logrotate.d/thruk-base
	test -f debian/tmp/usr/share/thruk/root/thruk/cache/thruk-panorama-*.js || exit 1

fix_phantomjs_location:
	# fix location of phantomjs
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/thruk
	mv debian/tmp/usr/share/thruk/script/phantomjs debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/thruk/
	sed -e 's|/usr/share/thruk/script/phantomjs|/usr/lib/'$(DEB_HOST_MULTIARCH)'/thruk/phantomjs|' \
		-i debian/tmp/etc/thruk/thruk.conf
	echo "/usr/lib/$(DEB_HOST_MULTIARCH)/thruk/phantomjs" >> debian/thruk-plugin-reporting.install
	echo "thruk-plugin-reporting: embedded-library usr/lib/$(DEB_HOST_MULTIARCH)/thruk/phantomjs: sqlite"  >> debian/thruk-plugin-reporting.lintian-overrides
	echo "thruk-plugin-reporting: embedded-library usr/lib/$(DEB_HOST_MULTIARCH)/thruk/phantomjs: libpng"  >> debian/thruk-plugin-reporting.lintian-overrides
	echo "thruk-plugin-reporting: embedded-library usr/lib/$(DEB_HOST_MULTIARCH)/thruk/phantomjs: zlib"    >> debian/thruk-plugin-reporting.lintian-overrides
	echo "thruk-plugin-reporting: embedded-library usr/lib/$(DEB_HOST_MULTIARCH)/thruk/phantomjs: libjpeg" >> debian/thruk-plugin-reporting.lintian-overrides
	echo "thruk-plugin-reporting: embedded-library usr/lib/$(DEB_HOST_MULTIARCH)/thruk/phantomjs: openssl" >> debian/thruk-plugin-reporting.lintian-overrides
	echo "thruk-plugin-reporting: embedded-library libjpeg usr/lib/$(DEB_HOST_MULTIARCH)/thruk/phantomjs"  >> debian/thruk-plugin-reporting.lintian-overrides
	echo "thruk-plugin-reporting: embedded-library libpng usr/lib/$(DEB_HOST_MULTIARCH)/thruk/phantomjs"   >> debian/thruk-plugin-reporting.lintian-overrides
	echo "thruk-plugin-reporting: embedded-library openssl usr/lib/$(DEB_HOST_MULTIARCH)/thruk/phantomjs"  >> debian/thruk-plugin-reporting.lintian-overrides
	echo "thruk-plugin-reporting: embedded-library sqlite usr/lib/$(DEB_HOST_MULTIARCH)/thruk/phantomjs"   >> debian/thruk-plugin-reporting.lintian-overrides
	echo "thruk-plugin-reporting: embedded-library zlib usr/lib/$(DEB_HOST_MULTIARCH)/thruk/phantomjs"     >> debian/thruk-plugin-reporting.lintian-overrides
	echo "thruk-plugin-reporting: hardening-no-relro usr/lib/$(DEB_HOST_MULTIARCH)/thruk/phantomjs"        >> debian/thruk-plugin-reporting.lintian-overrides
	sed -e 's|phantomjs,||' -i debian/control

override_dh_gencontrol:
	dh_gencontrol -- -Vextra:Depends=perlapi-$(PERLVER)

override_dh_strip:
	dh_strip --exclude=phantomjs

override_dh_auto_test:

%:
	dh $@
